Gtk_Adjustment(3)

NAME - Gtk_Adjustment
Value-within-Range Type, e.g. for spinbuttons

HEADER REQUIRED
#include <gtk--/adjustment.h&gt;>

BASE CLASSES
Gtk_Data(3)

PROPERTIES

lower
    Type: gfloat

upper
    Type: gfloat

value
    Type: gfloat

step_increment
    Type: gfloat

page_increment
    Type: gfloat

page_size
    Type: gfloat

     .IP

PUBLIC MEMBER INDEX
    signal void  changed(BaseObjectType);
    signal void  value_changed(BaseObjectType);
    Gtk_Adjustment(gfloat value, gfloat lower, gfloat upper, gfloat step_increment=1, gfloat page_increment=10, gfloat page_size=0);
      create new instance
    Gtk_Adjustment(GtkAdjustment *castitem);
    void  set_value(gfloat value);
      set to a specific value
    gfloat  get_value() const;
      get current value
    void  clamp_page(gfloat lower, gfloat upper);
    GtkAdjustment*  gtkobj();
    const GtkAdjustment*  gtkobj() const;
    static bool  isGtkAdjustment(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkAdjustment  BaseObjectType;
    typedef GtkAdjustmentClass  BaseClassType;
    virtual void * get_parent_class();
    virtual void  changed_impl();
    virtual void  value_changed_impl();

PRIVATE MEMBER INDEX
    static CppClassType  adjustment_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS